Name: sweets-sugar-datastore
Version: 0.94.0

Release: 1.2
Group: Development/Tools/Other
Summary: Backend of the Sugar Journal
License: LGPLv2+
Url: http://git.sugarlabs.org/projects/sugar-datastore

Source: sugar-datastore-0.94.0.tar.gz
Source1: sweet.tar.gz



Requires: python-cjson
Requires: sweets-sugar-toolkit
Requires: xapian-bindings-python
BuildRequires: gcc
BuildRequires: gnome-common
BuildRequires: intltool >= 0.33
BuildRequires: libtool
BuildRequires: make
BuildRequires: pkgconfig
BuildRequires: python-devel
BuildRequires: python




BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}
AutoProv: no
AutoReq:  no


%description
Backend of the Sugar Journal

%prep
%setup -n sugar-datastore-0.94.0

tar xzpvf %{SOURCE1} -C %{_sourcedir}


%build
./configure --prefix=/opt/sweets/sugar-datastore am_cv_python_pythondir=/opt/sweets/sugar-datastore/src am_cv_python_pyexecdir=/opt/sweets/sugar-datastore/src CFLAGS="${CFLAGS}"
make

%install

# Such scripts might, e.g., compress man files that will break %files logic
%undefine __os_install_post

make DESTDIR=%{buildroot}/.dest install
python %{_sourcedir}/sweet_install.py move rpm %{_sourcedir}/sweet_files %{buildroot} /opt/sweets/sugar-datastore '' '' > sweets-sugar-datastore.files
[ -f sweets.recipe ] && spec=sweets.recipe || spec=%{_sourcedir}/sweets.recipe; cp $spec %{buildroot}/.dest/sweets.recipe
echo /opt/sweets/sugar-datastore/sweets.recipe >> sweets-sugar-datastore.files
python %{_sourcedir}/sweet_install.py move rpm %{buildroot}/.dest %{buildroot} /opt/sweets/sugar-datastore '' '' >> sweets-sugar-datastore.files
install -m 0755 -d %{buildroot}/%{_bindir}
ln -s /opt/sweets/sugar-datastore/sweets-sugar-datastore %{buildroot}/%{_bindir}/
echo %{_bindir}/sweets-sugar-datastore >> sweets-sugar-datastore.files
chmod 0755 %{buildroot}//opt/sweets/sugar-datastore/sweets-sugar-datastore
rm -rf %{buildroot}/.dest
install -m 0755 -d %{buildroot}/opt/sweets/sugar-datastore
(cd %{buildroot}; find . -name "*.py" -printf "%h\n" | sort | uniq | sed s/^.// > opt/sweets/sugar-datastore/pydirs)
echo /opt/sweets/sugar-datastore/pydirs >> sweets-sugar-datastore.files

%post
test -e /opt/sweets/sugar-datastore/pydirs && for i in `cat /opt/sweets/sugar-datastore/pydirs`; do python -m compileall -l $i >/dev/null; python -O -m compileall -l $i >/dev/null; done; true

%preun
test -e /opt/sweets/sugar-datastore/pydirs && for i in `cat /opt/sweets/sugar-datastore/pydirs`; do rm -f $i/*.pyc $i/*.pyo; done; true

%clean
rm -rf %{buildroot}

%files -f sweets-sugar-datastore.files

%changelog
